hbase-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bus...@apache.org
Subject [2/2] hbase git commit: HBASE-19039 refactor shadedjars test to only run on java changes.
Date Sat, 21 Oct 2017 01:26:09 GMT
HBASE-19039 refactor shadedjars test to only run on java changes.

Signed-off-by: Mike Drob <mdrob@apache.org>


Project: http://git-wip-us.apache.org/repos/asf/hbase/repo
Commit: http://git-wip-us.apache.org/repos/asf/hbase/commit/1c137096
Tree: http://git-wip-us.apache.org/repos/asf/hbase/tree/1c137096
Diff: http://git-wip-us.apache.org/repos/asf/hbase/diff/1c137096

Branch: refs/heads/branch-1.1
Commit: 1c137096e26821e944898d0b3659e49c6b0b50a5
Parents: daaa3cf
Author: Sean Busbey <busbey@apache.org>
Authored: Fri Oct 20 14:39:03 2017 -0500
Committer: Sean Busbey <busbey@apache.org>
Committed: Fri Oct 20 20:24:59 2017 -0500

----------------------------------------------------------------------
 dev-support/hbase-personality.sh | 17 ++++++++++++++---
 1 file changed, 14 insertions(+), 3 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/hbase/blob/1c137096/dev-support/hbase-personality.sh
----------------------------------------------------------------------
diff --git a/dev-support/hbase-personality.sh b/dev-support/hbase-personality.sh
index 01c3d85..24f2ef5 100755
--- a/dev-support/hbase-personality.sh
+++ b/dev-support/hbase-personality.sh
@@ -171,12 +171,19 @@ function shadedjars_initialize
 {
   yetus_debug "initializing shaded client checks."
   maven_add_install shadedjars
-  add_test shadedjars
 }
 
-function shadedjars_clean
+## @description  only run the test if java changes.
+## @audience     private
+## @stability    evolving
+## @param        filename
+function shadedjars_filefilter
 {
-  "${MAVEN}" "${MAVEN_ARGS[@]}" clean -fae -pl hbase_shaded/hbase-shaded-check-invariants
-am -Prelease
+  local filename=$1
+
+  if [[ ${filename} =~ \.java$ ]] || [[ ${filename} =~ pom.xml$ ]]; then
+    add_test shadedjars
+  fi
 }
 
 ## @description test the shaded client artifacts
@@ -188,6 +195,10 @@ function shadedjars_rebuild
   local repostatus=$1
   local logfile="${PATCH_DIR}/${repostatus}-shadedjars.txt"
 
+  if ! verify_needed_test shadedjars; then
+    return 0
+  fi
+
   big_console_header "Checking shaded client builds on ${repostatus}"
 
   echo_and_redirect "${logfile}" \


Mime
View raw message